For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create template variant

Creates a template variant.

post

Adds a new language variant to the template with subject and body content for the specified language.

Path parameters
templateIdstringRequired

A notification template ID.

Body
languageCodestringOptional
subjectstringOptional
bodystringOptional
Responses
201

Created

application/json

Represents a language-specific variant of a template.

idstringOptional
revisioninteger · int32Optional
bodystring · nullableOptional

Gets or sets the body content for this variant.

defaultbooleanOptional

Gets or sets a value indicating whether this is the default variant for the parent template.

languageCodestringOptional

Gets or sets the language code for this variant.

statusstringOptional

Gets or sets the current status of the variant.

subjectstring · nullableOptional

Gets or sets the subject for messages created from this variant.

post/public/v1/notifications/templates/{templateId}/variants

Last updated

Was this helpful?